
static Eina_Error
__eolian_efl_text_format_ellipsis_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_ellipsis_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_ellipsis_set, EFL_FUNC_CALL(value), double value);

static Eina_Value
__eolian_efl_text_format_ellipsis_get_reflect(const Eo *obj)
{
   double val = efl_text_ellipsis_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_ellipsis_get, double, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_wrap_set, EFL_FUNC_CALL(wrap), Efl_Text_Format_Wrap wrap);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_wrap_get, Efl_Text_Format_Wrap, 0);

static Eina_Error
__eolian_efl_text_format_multiline_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_multiline_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_multiline_set, EFL_FUNC_CALL(enabled), Eina_Bool enabled);

static Eina_Value
__eolian_efl_text_format_multiline_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_text_multiline_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_multiline_get, Eina_Bool, 0);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_horizontal_align_auto_type_set, EFL_FUNC_CALL(value), Efl_Text_Format_Horizontal_Alignment_Auto_Type value);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_horizontal_align_auto_type_get, Efl_Text_Format_Horizontal_Alignment_Auto_Type, 0);

static Eina_Error
__eolian_efl_text_format_text_horizontal_align_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_horizontal_align_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_horizontal_align_set, EFL_FUNC_CALL(value), double value);

static Eina_Value
__eolian_efl_text_format_text_horizontal_align_get_reflect(const Eo *obj)
{
   double val = efl_text_horizontal_align_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_horizontal_align_get, double, 0);

static Eina_Error
__eolian_efl_text_format_text_vertical_align_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_vertical_align_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_vertical_align_set, EFL_FUNC_CALL(value), double value);

static Eina_Value
__eolian_efl_text_format_text_vertical_align_get_reflect(const Eo *obj)
{
   double val = efl_text_vertical_align_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_vertical_align_get, double, 0);

static Eina_Error
__eolian_efl_text_format_line_gap_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_line_gap_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_line_gap_set, EFL_FUNC_CALL(value), double value);

static Eina_Value
__eolian_efl_text_format_line_gap_get_reflect(const Eo *obj)
{
   double val = efl_text_line_gap_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_line_gap_get, double, 0);

static Eina_Error
__eolian_efl_text_format_line_rel_gap_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_line_rel_gap_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_line_rel_gap_set, EFL_FUNC_CALL(value), double value);

static Eina_Value
__eolian_efl_text_format_line_rel_gap_get_reflect(const Eo *obj)
{
   double val = efl_text_line_rel_gap_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_line_rel_gap_get, double, 0);

static Eina_Error
__eolian_efl_text_format_tab_stops_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_tab_stops_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_tab_stops_set, EFL_FUNC_CALL(value), int value);

static Eina_Value
__eolian_efl_text_format_tab_stops_get_reflect(const Eo *obj)
{
   int val = efl_text_tab_stops_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_tab_stops_get, int, 0);

static Eina_Error
__eolian_efl_text_format_password_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_password_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_password_set, EFL_FUNC_CALL(enabled), Eina_Bool enabled);

static Eina_Value
__eolian_efl_text_format_password_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_text_password_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_password_get, Eina_Bool, 0);

static Eina_Error
__eolian_efl_text_format_replacement_char_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_replacement_char_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_replacement_char_set, EFL_FUNC_CALL(repch), const char *repch);

static Eina_Value
__eolian_efl_text_format_replacement_char_get_reflect(const Eo *obj)
{
   const char *val = efl_text_replacement_char_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_replacement_char_get, const char *, NULL);

static Eina_Bool
_efl_text_format_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_TEXT_FORMAT_EXTRA_OPS
#define EFL_TEXT_FORMAT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_text_ellipsis_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_ellipsis_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_wrap_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_wrap_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_multiline_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_multiline_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_horizontal_align_auto_type_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_horizontal_align_auto_type_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_horizontal_align_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_horizontal_align_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_vertical_align_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_vertical_align_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_line_gap_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_line_gap_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_line_rel_gap_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_line_rel_gap_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_tab_stops_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_tab_stops_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_password_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_password_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_replacement_char_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_replacement_char_get, NULL),
      EFL_TEXT_FORMAT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"ellipsis", __eolian_efl_text_format_ellipsis_set_reflect, __eolian_efl_text_format_ellipsis_get_reflect},
      {"multiline", __eolian_efl_text_format_multiline_set_reflect, __eolian_efl_text_format_multiline_get_reflect},
      {"text_horizontal_align", __eolian_efl_text_format_text_horizontal_align_set_reflect, __eolian_efl_text_format_text_horizontal_align_get_reflect},
      {"text_vertical_align", __eolian_efl_text_format_text_vertical_align_set_reflect, __eolian_efl_text_format_text_vertical_align_get_reflect},
      {"line_gap", __eolian_efl_text_format_line_gap_set_reflect, __eolian_efl_text_format_line_gap_get_reflect},
      {"line_rel_gap", __eolian_efl_text_format_line_rel_gap_set_reflect, __eolian_efl_text_format_line_rel_gap_get_reflect},
      {"tab_stops", __eolian_efl_text_format_tab_stops_set_reflect, __eolian_efl_text_format_tab_stops_get_reflect},
      {"password", __eolian_efl_text_format_password_set_reflect, __eolian_efl_text_format_password_get_reflect},
      {"replacement_char", __eolian_efl_text_format_replacement_char_set_reflect, __eolian_efl_text_format_replacement_char_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_text_format_class_desc = {
   EO_VERSION,
   "Efl.Text_Format",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_text_format_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_text_format_interface_get, &_efl_text_format_class_desc, NULL, NULL);
